OGRE: Ogre::Volume::DualGridGenerator Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::Volume::DualGridGenerator Class Reference

Class for the generation of the DualGrid. More...

`#include <OgreVolumeDualGridGenerator.h>`

Inheritance diagram for Ogre::Volume::DualGridGenerator:
[legend]

## Public Member Functions
| DualGridGenerator (void)
| Constructor. More...
void | generateDualGrid (const OctreeNode *root, IsoSurface *is, MeshBuilder *mb, Real maxMSDistance, const Vector3 &totalFrom, const Vector3 &totalTo, bool saveDualCells)
| Generates the dualgrid of the given octree root node. More...
DualCell | getDualCell (size_t i) const
| Gets a dual cell. More...
size_t | getDualCellCount (void) const
| Gets the amount of generated dual cells. More...
Entity * | getDualGrid (SceneManager *sceneManager)
| Gets the lazily created entity of the dualgrid debug visualization. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Detailed Description

Class for the generation of the DualGrid.

## Constructor & Destructor Documentation

## ◆ DualGridGenerator()

Ogre::Volume::DualGridGenerator::DualGridGenerator | ( | void |  | ) |

Constructor.

## Member Function Documentation

## ◆ generateDualGrid()

void Ogre::Volume::DualGridGenerator::generateDualGrid | ( | const OctreeNode * | root,
|  | IsoSurface * | is,
|  | MeshBuilder * | mb,
|  | Real | maxMSDistance,
|  | const Vector3 & | totalFrom,
|  | const Vector3 & | totalTo,
|  | bool | saveDualCells
| ) |  |

Generates the dualgrid of the given octree root node.

Parameters

  root | The octree root node.
  is | To contour the dualcells.
  mb | To store the triangles of the contour.
  maxMSDistance | The maximum distance to the isosurface where to generate skirts.
  totalFrom | The global from.
  totalTo | The global to.
  saveDualCells | Whether to save the generated dualcells of the generated dual cells.

## ◆ getDualCell()

DualCell Ogre::Volume::DualGridGenerator::getDualCell | ( | size_t | i | ) | const
| inline

Gets a dual cell.

Parameters

  i | The index of the wanted dual cell.

Returns
  The dual cell.

## ◆ getDualCellCount()

size_t Ogre::Volume::DualGridGenerator::getDualCellCount | ( | void |  | ) | const
| inline

Gets the amount of generated dual cells.

Returns
  The amount of generated dual cells.

## ◆ getDualGrid()

Entity* Ogre::Volume::DualGridGenerator::getDualGrid | ( | SceneManager * | sceneManager | ) |

Gets the lazily created entity of the dualgrid debug visualization.

Parameters

  sceneManager | The scenemanager creating the entity.

Returns
  The entity. Might be null if no dualcells are available.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreVolumeDualGridGenerator.h